NFTs Collection Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/nfts/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"floor_price_usd": [
[
1779729001000,
10032.419904380335
],
[
1779729303000,
10028.703755252538
]
],
"floor_price_native": [
[
1779729001000,
4.69989940999941
],
[
1779729303000,
4.69989940999941
]
],
"h24_volume_usd": [
[
1779729001000,
60835.49928667799
],
[
1779729303000,
60812.96496397539
]
],
"h24_volume_native": [
[
1779729001000,
28.49967703999703
],
[
1779729303000,
28.49967703999703
]
],
"market_cap_usd": [
[
1779729001000,
89168148.1101324
],
[
1779729303000,
89135118.97668457
]
],
"market_cap_native": [
[
1779729001000,
41772.70595607475
],
[
1779729303000,
41772.70595607475
]
]
}NFTs
NFTs Collection Historical Chart Data by ID
To query historical market data of a NFT collection, including floor price, market cap, and 24hr volume, by number of days away from now
GET
/
nfts
/
{id}
/
market_chart
NFTs Collection Historical Chart Data by ID
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/nfts/{id}/market_chart \
--header 'x-cg-pro-api-key: <api-key>'{
"floor_price_usd": [
[
1779729001000,
10032.419904380335
],
[
1779729303000,
10028.703755252538
]
],
"floor_price_native": [
[
1779729001000,
4.69989940999941
],
[
1779729303000,
4.69989940999941
]
],
"h24_volume_usd": [
[
1779729001000,
60835.49928667799
],
[
1779729303000,
60812.96496397539
]
],
"h24_volume_native": [
[
1779729001000,
28.49967703999703
],
[
1779729303000,
28.49967703999703
]
],
"market_cap_usd": [
[
1779729001000,
89168148.1101324
],
[
1779729303000,
89135118.97668457
]
],
"market_cap_native": [
[
1779729001000,
41772.70595607475
],
[
1779729303000,
41772.70595607475
]
]
}Notes
- Auto-granularity:
- 1–14 days = 5-minutely data
- 15 days and above = daily data (00:00 UTC)
The last completed UTC day (00:00) is available 5 minutes after midnight (00:05 UTC).
SDK Examples
const response = await client.nfts.marketChart.get('pudgy-penguins', {
days: '1',
});
console.log(JSON.stringify(response, null, 2));
Authorizations
headerAuthqueryAuth
Learn how to set up your API key
Path Parameters
NFT collection ID.
*refers to /nfts/list.
Query Parameters
Data up to number of days ago.
Valid values: any integer or max
Response
200 - application/json
NFT collection historical chart data
NFT collection floor price in USD as [timestamp, price] pairs
NFT collection floor price in native currency as [timestamp, price] pairs
NFT collection 24h volume in USD as [timestamp, volume] pairs
NFT collection 24h volume in native currency as [timestamp, volume] pairs
NFT collection market cap in USD as [timestamp, market_cap] pairs
NFT collection market cap in native currency as [timestamp, market_cap] pairs
Was this page helpful?
⌘I

